---
primaryTopic:
  Accounts:
    AccountCategory: MICRO
    AccountRefDay: 30
    AccountRefMonth: 06
    LastMadeUpDate: 30/06/2024
    NextDueDate: 31/03/2026
  CompanyCategory: Private Limited Company
  CompanyName: VANILLA COMMUNICATIONS LIMITED
  CompanyNumber: 08684927
  CompanyStatus: Active
  CountryOfOrigin: United Kingdom
  IncorporationDate: 10/09/2013
  RegAddress:
    AddressLine1: 131 PAXDALE
    PostTown: HULL
    Postcode: HU7 6DB
  Returns:
    LastMadeUpDate: 10/09/2025
    NextDueDate: 24/09/2026
  SICCodes:
    SicText:
      - '70229 - Management consultancy activities other than financial management'
